@import "~@digicard/src/variables.scss";

@mixin Responsive($canvas) {
    @if $canvas == mobile {
        @media only screen and (max-width: $mobile_breakpoint) {
            @content;
        }
    } @else if $canvas == tablet {
        @media only screen and (max-width: $tablet_breakpoint) {
            @content;
        }
    } @else if $canvas == onlyTablet {
        @media only screen and (min-width: $mobile_breakpoint) and (max-width: $tablet_breakpoint) {
            @content;
        }
    } @else if $canvas == onlyDesktop {
        @media only screen and (min-width: $tablet_breakpoint) {
            @content;
        }
    }
}
